## flashcache 1.0+git20121114

=== src/Makefile ===
COMMIT_REV ?= $(shell git describe  --always --abbrev=12)
KERNEL_SOURCE_VERSION ?= $(shell uname -r)
KERNEL_TREE ?= /lib/modules/$(KERNEL_SOURCE_VERSION)/build

EXTRA_CFLAGS += -I$(KERNEL_TREE)/drivers/md -I./ -DCOMMIT_REV="\"$(COMMIT_REV)\""
EXTRA_CFLAGS += -I$(KERNEL_TREE)/include/ -I$(KERNEL_TREE)/include/linux 

# Check for RHEL/CentOS
RHEL5_VER ?= $(shell  if [ -e /etc/redhat-release ]; then grep 5.[0-9] /etc/redhat-release; else false; fi)
RHEL5_SETUP :=
ifneq "$(RHEL5_VER)" ""
	RHEL5_SETUP := rhel5-setup
	RHEL5_SPEC := /usr/src/redhat/SPECS/kernel.spec
	RHEL5_TREE := /usr/src/redhat/BUILD/kernel-2.6.18/linux-$(shell uname -r).$(shell uname -i)
	RHEL5_SRC := /usr/src/kernels/$(shell uname -r)-$(shell uname -i)
	KERNEL_TREE := $(RHEL5_TREE)
endif

# Check for OpenVZ (/proc/vz)
OPENVZ_VER ?= $(shell if [ -e /proc/vz ]; then grep 5.[0-9] /etc/redhat-release; else false; fi)
ifneq "$(OPENVZ_VER)" ""
        RHEL5_SPEC := /usr/src/redhat/SPECS/kernel-ovz.spec
        RHEL5_TREE := /usr/src/redhat/BUILD/ovzkernel-2.6.18/linux-$(shell uname -r).$(shell uname -i)
        KERNEL_TREE := $(RHEL5_TREE)
endif

obj-m += flashcache.o
flashcache-objs := flashcache_conf.o flashcache_main.o flashcache_subr.o flashcache_ioctl.o flashcache_procfs.o

.PHONY: all
all: modules utils

.PHONY:    modules
modules: $(RHEL5_SETUP)
	make -C $(KERNEL_TREE) M=$(PWD) modules V=0

.PHONY:    utils
utils:
	make -C utils all

.PHONY: modules_install
modules_install: modules
	install -o root -g root -m 0755 -d $(DESTDIR)/lib/modules/$(KERNEL_SOURCE_VERSION)/extra/flashcache/
	install -o root -g root -m 0755 flashcache.ko $(DESTDIR)/lib/modules/$(KERNEL_SOURCE_VERSION)/extra/flashcache/
	depmod -a

.PHONY: utils_install
utils_install: utils
	make -C utils install

.PHONY: ocf_install
ocf_install:
	make -C ocf install

.PHONY: install
install: modules_install utils_install ocf_install

.PHONY: clean
clean:
	make -C $(KERNEL_TREE) M=$(PWD) clean
	make -C utils clean

.PHONY: rhel5-setup
rhel5-setup: $(RHEL5_TREE)
	make -C $(RHEL5_TREE) oldconfig ; \
	make -C $(RHEL5_TREE) prepare modules_prepare
	ln -s -f $(RHEL5_SRC)/Module.symvers $(RHEL5_TREE)/Module.symvers

$(RHEL5_TREE):
	rpmbuild -bp --target=`uname -m` $(RHEL5_SPEC) 2>&1 | tee `dirname $(RHEL5_SPEC)`/prep.log

=== debian/changelog ===
flashcache (1.0+git20121114-1) unstable; urgency=low

  * New upstream release

 -- Liang Guo <guoliang@debian.org>  Sun, 13 Jan 2013 22:40:12 +0800

flashcache (1.0+git20121013-1) unstable; urgency=low

  * Initial release (Closes: #635504).

 -- Liang Guo <guoliang@debian.org>  Sat, 13 Oct 2012 14:11:35 +0800

=== debian/control ===
Source: flashcache
Section: kernel
Priority: optional
Maintainer: Liang Guo <guoliang@debian.org>
Uploaders: Dmitry Smirnov <onlyjob@member.fsf.org>
Build-Depends: debhelper (>= 9), dkms, pandoc
Standards-Version: 3.9.3
Homepage: https://github.com/facebook/flashcache
VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/flashcache.git;a=summary
VCS-Git: git://git.debian.org/git/collab-maint/flashcache.git

Package: flashcache-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
Description: write-back block device cache for Linux (DKMS version)
 Flashcache is a write-back block device cache for Linux. Using the Linux
 device mapper (DM) it provides an overlay mapper, to cache chunks of
 data on a high speed caching device like a solid-state drive for fast
 read access.
 .
 Flashcache supports FIFO and LRU cache sets, is configurable and error
 resistant. It comes with a DKMS kernel module and a corresponding user
 land for command and control. Alternatively it can be configured as
 write-through and write-around flash cache, which does not store any
 persitent data in the flash volume, hence purging the cache upon reboot.
 .
 This package provides the DKMS kernel module.
 .
 Warning: Flashcache is known not to work on the i686 (x86_32) architecture and
 possibly others.


Package: flashcache-utils
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends},
  flashcache-dkms (= ${source:Version}), lsb-base (>= 3.2-14), module-init-tools, dmsetup
Recommends: udev, bsdutils (>= 1:2.17.2)
Section: utils
Description: write-back block device cache for Linux (user space utilities)
 Flashcache is a write-back block device cache for Linux. Using the Linux
 device mapper (DM) it provides an overlay mapper, to cache chunks of
 data on a high speed caching device like a solid-state drive for fast
 read access.
 .
 Flashcache supports FIFO and LRU cache sets, is configurable and error
 resistant. It comes with a DKMS kernel module and a corresponding user
 land for command and control.
 .
 This package provides user space utilities, required to control the kernel
 module.

## flashcache 1.0+git20130722

=== src/Makefile ===
--- 
+++ 
@@ -42,7 +42,7 @@
 modules_install: modules
 	install -o root -g root -m 0755 -d $(DESTDIR)/lib/modules/$(KERNEL_SOURCE_VERSION)/extra/flashcache/
 	install -o root -g root -m 0755 flashcache.ko $(DESTDIR)/lib/modules/$(KERNEL_SOURCE_VERSION)/extra/flashcache/
-	depmod -a
+	depmod -a $(KERNEL_SOURCE_VERSION)
 
 .PHONY: utils_install
 utils_install: utils

=== debian/changelog ===
flashcache (1.0+git20130722-1) unstable; urgency=low

  * New upstream release (Closes: #714633)
  * Bump Standards-Version to 3.9.4 (no changes)
  * Update VCS-* to use canonical URIs
  * Remove unused manpage lintian overrides
  
 -- Liang Guo <guoliang@debian.org>  Mon, 22 Jul 2013 13:39:52 +0800
  

flashcache (1.0+git20130518-1) unstable; urgency=low

  * New upstream release, (LP: #1181131)

 -- Liang Guo <guoliang@debian.org>  Sat, 18 May 2013 16:35:48 +0800

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Liang Guo <guoliang@debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@member.fsf.org>
 Build-Depends: debhelper (>= 9), dkms, pandoc
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: https://github.com/facebook/flashcache
-VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/flashcache.git;a=summary
-VCS-Git: git://git.debian.org/git/collab-maint/flashcache.git
+VCS-Browser: http://anonscm.debian.org/git/collab-maint/flashcache.git
+VCS-Git: git://anonscm.debian.org/collab-maint/flashcache.git
 
 Package: flashcache-dkms
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# This Makefile has some not exactly obvious magic in it
# It is mostly based on the short dh syntax, but has some caveats:
# a) The rules file builds only the utilities located in the src/utils
#    directory. The kernel DKMS module is not built here, but on the user's
#    site. The DKMS module is packaged untouched, while the dkms.conf itself
#    is generated from the rules file, as are manual pages.
# b) The get-orig-source rebuilds the latest orig.tar.gz straight out
#    of the upstream VCS. Users of git-buildpackage can also use pristine-tar

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

MODULE_NAME := flashcache
VERSION := $(shell echo "1.0+git`date +%Y%m%d`")
DKMS_DIR := debian/tmp/usr/src/flashcache-$(VERSION)/
MANPAGES := $(patsubst debian/%.markdown, debian/%.8, $(wildcard debian/*.markdown))
HLP_FILES := $(patsubst %.in, %, $(wildcard debian/*.in))

# Create dynamically created files in debian/.
# This loop uses the debian/flashcache*.in input files to create
# corresponding debhelper files.
$(HLP_FILES):
	perl -pe 's{__VERSION__}{$(VERSION)}g; s{__PACKAGE__}{$(MODULE_NAME)}g;' $@.in > $@
	chmod `/usr/bin/stat -c '%a' "$@.in"` $@

$(MANPAGES):
	pandoc --standalone --to=man --output=$@ $(patsubst %.8, %.markdown, $@)

debian/flashcache-dkms.dkms:
	perl -pe 's{(PACKAGE_VERSION=).*?$$}{$${1}$(VERSION)}g; s{(MAKE=")}{$${1}COMMIT_REV=$(VERSION) }g;' src/dkms.conf > $@
	perl -pi -e 's/^(\w+)\s*=\s*([^"\n\r]+)/$$1="$$2"/g' $@

%:
	dh $@ --with dkms

override_dh_auto_clean:
	$(RM) $(MANPAGES) $(HLP_FILES) debian/flashcache-dkms.dkms
	dh_auto_clean -- -C src/utils
	dh_auto_clean -- -C man

override_dh_auto_build: $(MANPAGES) $(HLP_FILES) debian/flashcache-dkms.dkms
	dh_auto_build -- -C src/utils COMMIT_REV=$(VERSION)
	dh_auto_build -- -C man

override_dh_install:
	dh_install --fail-missing

override_dh_auto_install:
	mkdir -p $(DKMS_DIR)
	install -D -m 644  src/*.c src/*.h src/Makefile $(DKMS_DIR)
	dh_auto_install -- -C src/utils

get-orig-source:
	@set -e
	@echo "Checking out upstream package from upstream branch"
	git archive --format=tar \
		--prefix=flashcache-$(VERSION)/ upstream | \
		gzip -9 --no-name > ../flashcache_$(VERSION).orig.tar.gz

pristine-tar:
	pristine-tar commit ../flashcache_$(VERSION).orig.tar.gz upstream

## flashcache 3.1.1+git20131019

=== man/Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-

PREFIX ?= /usr
MANPAGES := $(patsubst %.mdwn, %.8, $(wildcard *.mdwn))

all: $(MANPAGES)

clean:
	$(RM) $(MANPAGES)

$(MANPAGES):
	pandoc --standalone --to=man --output=$@ $(@:.8=.mdwn)

install: $(MANPAGES)
	install -m0644 $(MANPAGES) $(DESTDIR)${PREFIX}/share/man/man8

=== src/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 endif
 
 obj-m += flashcache.o
-flashcache-objs := flashcache_conf.o flashcache_main.o flashcache_subr.o flashcache_ioctl.o flashcache_procfs.o
+flashcache-objs := flashcache_conf.o flashcache_main.o flashcache_subr.o flashcache_ioctl.o flashcache_procfs.o flashcache_reclaim.o
 
 .PHONY: all
 all: modules utils

=== src/dracut-flashcache-0.3/Makefile ===
VERSION=`cat version`
VERSION_CVS=`cat version | sed 's/\./_/'`
APP=dracut-flashcache
RELEASE=1

# $@ is the target:
# $? out of date dependencies
# $< is the source file

# $(OBJS:.o=.c) converts data.o io.o main.o into data.c io.c main.c

$(APP).spec: $(APP).spec.in version
	echo "# Do not edit this file. Edit $(APP).spec.in" > $@
	echo "%define ver $(VERSION)" >> $@
	echo "%define rel $(RELEASE)" >> $@
	cat $(APP).spec.in >> $@

rtag:
	cvs rtag v$(VERSION_CVS) $(APP)

tarball: $(APP).spec 
	if [ -L ../$(APP)-$(VERSION) ] ; then rm ../$(APP)-$(VERSION) ; fi
	ln -s $(APP) ../$(APP)-$(VERSION)
	tar -chzf ../$(APP)-$(VERSION).tgz -C ../ --exclude CVS --exclude \*.swp $(APP)-$(VERSION)
	if [ -L ../$(APP)-$(VERSION) ] ; then rm ../$(APP)-$(VERSION) ; fi

rpm: tarball
	rpmbuild -ta ../$(APP)-$(VERSION).tgz

=== src/utils/Makefile ===
COMMIT_REV ?= $(shell git describe  --always --abbrev=12)
CFLAGS += -I.. -I. -DCOMMIT_REV="\"$(COMMIT_REV)\"" -g
PROGRAMS += flashcache_create flashcache_destroy flashcache_load flashcache_setioctl get_agsize
INSTALL_DIR = $(DESTDIR)/sbin/

.PHONY:all
all: $(PROGRAMS)

get_agsize: get_agsize.o
	$(CC) $^ -o $@

-include get_agsize.d

flashcache_create: flashcache_create.o
	$(CC) $^ -o $@

-include flashcache_create.d

flashcache_destroy: flashcache_destroy.o
	$(CC) $^ -o $@

-include flashcache_destroy.d

flashcache_load: flashcache_load.o
	$(CC) $^ -o $@

-include flashcache_load.d

flashcache_setioctl: flashcache_setioctl.o
	$(CC) $^ -o $@

-include flashcache_setioctl.d

%.o: %.c
	$(CC) -c $(CFLAGS) $*.c -o $*.o
	@$(CC) -MM $(CFLAGS) -MF $*.d -MT $*.o $*.c

.PHONY: install
install: $(PROGRAMS)
	install -d -m 755 $(INSTALL_DIR)
	install -m 755 $(PROGRAMS) $(INSTALL_DIR)

.PHONY: clean
clean:
	rm -f *.[od] $(PROGRAMS)

=== debian/changelog ===
flashcache (3.1.1+git20131019-1) unstable; urgency=low

  * New upstream release
  * Refresh usable-makefile.patch
  * Build-Depends on pandoc-data, since some pandoc 
    template data split to it. (Closes: #724092)

 -- Liang Guo <guoliang@debian.org>  Sat, 19 Oct 2013 20:51:14 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Liang Guo <guoliang@debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@member.fsf.org>
-Build-Depends: debhelper (>= 9), dkms, pandoc
+Build-Depends: debhelper (>= 9), dkms, pandoc, pandoc-data
 Standards-Version: 3.9.4
 Homepage: https://github.com/facebook/flashcache
 VCS-Browser: http://anonscm.debian.org/git/collab-maint/flashcache.git

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 export DH_VERBOSE=1
 
 MODULE_NAME := flashcache
-VERSION := $(shell echo "1.0+git`date +%Y%m%d`")
+VERSION := $(shell echo "3.1.1+git`date +%Y%m%d`")
 DKMS_DIR := debian/tmp/usr/src/flashcache-$(VERSION)/
 MANPAGES := $(patsubst debian/%.markdown, debian/%.8, $(wildcard debian/*.markdown))
 HLP_FILES := $(patsubst %.in, %, $(wildcard debian/*.in))

## flashcache 3.1.2+git20140801

=== debian/changelog ===
flashcache (3.1.2+git20140801-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 3.9.5

 -- Liang Guo <guoliang@debian.org>  Fri, 01 Aug 2014 10:44:33 +0800

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: kernel
 Priority: optional
 Maintainer: Liang Guo <guoliang@debian.org>
-Uploaders: Dmitry Smirnov <onlyjob@member.fsf.org>
 Build-Depends: debhelper (>= 9), dkms, pandoc, pandoc-data
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://github.com/facebook/flashcache
-VCS-Browser: http://anonscm.debian.org/git/collab-maint/flashcache.git
-VCS-Git: git://anonscm.debian.org/collab-maint/flashcache.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/flashcache.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/flashcache.git
 
 Package: flashcache-dkms
 Architecture: all

## flashcache 3.1.3+git20150513

=== debian/changelog ===
flashcache (3.1.3+git20150513-1ubuntu1) wily; urgency=medium

  * Add support for linux 4.2
    debian/patches/support-4.2.patch

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 07 Aug 2015 08:03:25 -0600

flashcache (3.1.3+git20150513-1) unstable; urgency=low

  * New upstream release

 -- Liang Guo <guoliang@debian.org>  Wed, 13 May 2015 13:00:42 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: flashcache
 Section: kernel
 Priority: optional
-Maintainer: Liang Guo <guoliang@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Liang Guo <guoliang@debian.org>
 Build-Depends: debhelper (>= 9), dkms, pandoc, pandoc-data
 Standards-Version: 3.9.5
 Homepage: https://github.com/facebook/flashcache

## flashcache 3.1.3+git20150701

=== Makefile ===
COMMIT_REV := $(shell git describe  --always --abbrev=12)
KERNEL_TREE ?= /lib/modules/$(shell uname -r)/build
export COMMIT_REV

# Check for RHEL/CentOS
RHEL5_VER ?= $(shell if [ -e /etc/redhat-release ]; then grep 5.[0-9] /etc/redhat-release; else false; fi)
ifneq "$(RHEL5_VER)" ""
	RHEL5_TREE := /usr/src/redhat/BUILD/kernel-2.6.18/linux-$(shell uname -r).$(shell uname -i)
	KERNEL_TREE := $(RHEL5_TREE)
endif

# Check for OpenVZ (/proc/vz)
OPENVZ_VER ?= $(shell if [ -e /proc/vz ]; then grep 5.[0-9] /etc/redhat-release; else false; fi)
ifneq "$(OPENVZ_VER)" ""
        RHEL5_TREE := /usr/src/redhat/BUILD/ovzkernel-2.6.18/linux-$(shell uname -r).$(shell uname -i)
        KERNEL_TREE := $(RHEL5_TREE)
endif

all:
	$(MAKE) -C src KERNEL_TREE=$(KERNEL_TREE) PWD=$(shell pwd)/src all

install:
	$(MAKE) -C src KERNEL_TREE=$(KERNEL_TREE) PWD=$(shell pwd)/src install

clean:
	$(MAKE) -C src KERNEL_TREE=$(KERNEL_TREE) PWD=$(shell pwd)/src clean

=== flashcache-wt/Makefile ===
all:
	$(MAKE) -C src KERNEL_TREE=$(KERNEL_TREE) PWD=$(PWD)/src

install:
	$(MAKE) -C src KERNEL_TREE=$(KERNEL_TREE) PWD=$(PWD)/src install

clean:
	$(MAKE) -C src KERNEL_TREE=$(KERNEL_TREE) PWD=$(PWD)/src clean

=== src/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 endif
 
 obj-m += flashcache.o
-flashcache-objs := flashcache_conf.o flashcache_main.o flashcache_subr.o flashcache_ioctl.o flashcache_procfs.o flashcache_reclaim.o
+flashcache-objs := flashcache_conf.o flashcache_main.o flashcache_subr.o flashcache_ioctl.o flashcache_procfs.o flashcache_reclaim.o flashcache_kcopy.o
 
 .PHONY: all
 all: modules utils

=== flashcache-wt/src/Makefile ===
EXTRA_CFLAGS=-I$(KERNEL_TREE)/drivers/md -I./
EXTRA_CFLAGS += -I$(KERNEL_TREE)/include/ -I$(KERNEL_TREE)/include/linux
UTILS_CFLAGS=-I./

obj-m += flashcache-wt.o
flashcache-wt-objs := flashcache_wt.o

KERNEL_SOURCE_VERSION ?= $(shell uname -r)

all:
	make -C $(KERNEL_TREE) M=$(PWD) modules
	$(CC) $(UTILS_CFLAGS) -o utils/flashcache_wt_create utils/flashcache_wt_create.c

install: all
	install -o root -g root -m 0755 -d /lib/modules/$(KERNEL_SOURCE_VERSION)/extra/flashcache/
	install -o root -g root -m 0755 flashcache-wt.ko /lib/modules/$(KERNEL_SOURCE_VERSION)/extra/flashcache/
	depmod -a
	install -o root -g root -m 0755 utils/flashcache_wt_create /sbin/

clean:
	make -C $(KERNEL_TREE) M=$(PWD) clean
	rm -f utils/flashcache_wt_create

=== src/ocf/Makefile ===
COMMIT_REV ?= $(shell git describe  --always --abbrev=12)
CFLAGS += 
PROGRAMS += flashcache 
INSTALL_DIR = /usr/lib/ocf/resource.d/flashcache

.PHONY:all
all: $(PROGRAMS)

.PHONY: install
install: $(PROGRAMS)
	install -d -m 755 $(INSTALL_DIR)
	install -m 755 $(PROGRAMS) $(INSTALL_DIR)

.PHONY: clean
clean:

=== debian/changelog ===
flashcache (3.1.3+git20150701-5) unstable; urgency=medium

  * Fix FTBFS on Linux 4.8+, Thanks to Stefan Bader (Closes: #838634)
  * Bump standards version to 3.9.8

 -- Liang Guo <guoliang@debian.org>  Sat, 03 Dec 2016 18:38:41 +0800

flashcache (3.1.3+git20150701-4) unstable; urgency=medium

  * Fix build error on Linux 4.4 (Closes: #813037)
  * Bump standards version to 3.9.7

 -- Liang Guo <guoliang@debian.org>  Fri, 08 Apr 2016 00:06:33 +0800

flashcache (3.1.3+git20150701-3) unstable; urgency=medium

  * Record bio error on linux(Closes: #812999)
  * Update debian/wath to use github tags
  * Add DEB_BUILD_MAINT_OPTIONS in debian/rules
  * Switch to secure uri in debian/control

 -- Liang Guo <guoliang@debian.org>  Fri, 12 Feb 2016 10:48:27 +0800

flashcache (3.1.3+git20150701-2) unstable; urgency=medium

  * Fix build error on linux 4.3

 -- Liang Guo <guoliang@debian.org>  Fri, 25 Dec 2015 12:07:54 +0800

flashcache (3.1.3+git20150701-1) unstable; urgency=medium

  * New upstream release
  * Switch to kmod(Closes: #733702)
  * Bump standards version to 3.9.6

 -- Liang Guo <guoliang@debian.org>  Wed, 19 Aug 2015 14:20:45 +0800

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: flashcache
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Liang Guo <guoliang@debian.org>
+Maintainer: Liang Guo <guoliang@debian.org>
 Build-Depends: debhelper (>= 9), dkms, pandoc, pandoc-data
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: https://github.com/facebook/flashcache
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/flashcache.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/flashcache.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/flashcache.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/flashcache.git
 
 Package: flashcache-dkms
 Architecture: all
@@ -33,7 +32,7 @@
 Package: flashcache-utils
 Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends},
-  flashcache-dkms (= ${source:Version}), lsb-base (>= 3.2-14), module-init-tools, dmsetup
+  flashcache-dkms (= ${source:Version}), lsb-base (>= 3.2-14), kmod, dmsetup
 Recommends: udev, bsdutils (>= 1:2.17.2)
 Section: utils
 Description: write-back block device cache for Linux (user space utilities)

=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,10 @@
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 MODULE_NAME := flashcache
-VERSION := $(shell echo "3.1.1+git`date +%Y%m%d`")
+VERSION := $(shell dpkg-parsechangelog  -SVersion|sed 's/-.*//')
 DKMS_DIR := debian/tmp/usr/src/flashcache-$(VERSION)/
 MANPAGES := $(patsubst debian/%.markdown, debian/%.8, $(wildcard debian/*.markdown))
 HLP_FILES := $(patsubst %.in, %, $(wildcard debian/*.in))

=== debian/watch ===
version=3
https://github.com/facebook/flashcache/tags .*/(.*)\.tar\.gz
